#include <stdio.h>
#include <math.h>

int main() {
    int i, j;

    printf("PlasmaTab\n");
    for (i = 0; i < 256; i++) {
        float a = i * 2*M_PI / 256;
        printf("\t.byte %i\n", (int)(128 + sinf(a) * 40 + cosf(2*a) * 10 + sinf(5*a) * 10) & 0xFF);
    }

    printf("PlasmaTabDelta\n");
    for (i = 0; i < 256; i++) {
        float a = i * 2*M_PI / 256 * 4; //FIXME: reduce the size of the table to 64? changes alignment stuff though
        printf("\t.byte %i\n", (int)(sinf(3*a+1) * 1 + sinf(5*a) * 3 + cosf(8*a) * 2 + cosf(11*a)) & 0xFF);
    }

    return 0;
}
